<html>
	<head>
	</head>

	<body>
		<h1>This is just an example template</h1>
		<div>
			<p>Using an array</p>
			<ul>
			{% for x in list %}
				<li>{{x}}</li>
			{% endfor %}
			</ul>

			<p>Using an 2d array</p>
			<ul>
			{% for x in list2d %}
				<li>{{x}}</li>
			{% endfor %}
			</ul>

			<ol>
			{% for x in list2d %}
				{% for y in x %}
					<li>{{ y }}</li>
				{% endfor %}
			{% endfor %}
			</ol>

			<p>Using dictionary of primitive</p>
			
			<dl>
				{% for key, value in table.items() %}
				<dt><strong>{{key}}</strong></dt>
				<dd>{{value}}<dd>
				{% endfor %}
			</dl>
			<p>Just another way of accessing</p>
			<dl>
				<!-- Same -->
				{% for key, value in table.items() %}
					<dt><strong>{{key}}</strong></dt>
					<dd>{{table[key]}}<dd>
				{% endfor %}
			</dl>

			<p>Using dictionary of non primitive types</p>
			<dl>
				{% for key, value in table_object.items() %}
				<dt><strong>{{key}}</strong></dt>
				<dd>
					{% for x in value %}
					There is a {{x}}.
					{% endfor %}
				<dd>
				{% endfor %}
			</dl>
		</div>
	</body>
</html>